package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsYsplanTmpl;

/**
 * 压缩培训模版Service接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface ITTsYsplanTmplService 
{
    /**
     * 查询压缩培训模版
     * 
     * @param id 压缩培训模版ID
     * @return 压缩培训模版
     */
    public TTsYsplanTmpl selectTTsYsplanTmplById(Long id);

    /**
     * 查询压缩培训模版列表
     * 
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 压缩培训模版集合
     */
    public List<TTsYsplanTmpl> selectTTsYsplanTmplList(TTsYsplanTmpl tTsYsplanTmpl);

    /**
     * 新增压缩培训模版
     * 
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 结果
     */
    public int insertTTsYsplanTmpl(TTsYsplanTmpl tTsYsplanTmpl);

    /**
     * 修改压缩培训模版
     * 
     * @param tTsYsplanTmpl 压缩培训模版
     * @return 结果
     */
    public int updateTTsYsplanTmpl(TTsYsplanTmpl tTsYsplanTmpl);

    /**
     * 批量删除压缩培训模版
     * 
     * @param ids 需要删除的压缩培训模版ID
     * @return 结果
     */
    public int deleteTTsYsplanTmplByIds(Long[] ids);

    /**
     * 删除压缩培训模版信息
     * 
     * @param id 压缩培训模版ID
     * @return 结果
     */
    public int deleteTTsYsplanTmplById(Long id);
}
